# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

@COMPONENT			= yes

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif

#-----[ Directory ]----------------------------------------

@COMPONENT_DIR			=	$(DIR_MORPHEO)/Behavioural/@DIRECTORY

#-----[ Library ]------------------------------------------

@COMPONENT_LIBRARY		= 	-l@COMPONENT	\
					$(Behavioural_LIBRARY)	

@COMPONENT_DIR_LIBRARY		=	-L$(@COMPONENT_DIR)/lib	\
					$(Behavioural_DIR_LIBRARY)

#-----[ Rules ]--------------------------------------------

@COMPONENT_library		:
				@\
				$(MAKE) Behavioural_library;		\
				$(MAKE) --directory=$(@COMPONENT_DIR) --makefile=Makefile;

@COMPONENT_library_clean	:
				@\
				$(MAKE) Behavioural_library_clean;	\
				$(MAKE) --directory=$(@COMPONENT_DIR) --makefile=Makefile clean;
